Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.Barcode Class Reference
Inheritance diagram for FoxitPDFSDKPython2.Barcode:

## Public Member Functions
def | Barcode ()
| Constructor.
def | Barcode (other)
| Constructor, with another barcode object. More...
def | GenerateBitmap (info, format, unit_width, height, level)
| Generate a barcode bitmap with a given information string and specified barcode format. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_FormatCode128 = _fsdk.Barcode_e_FormatCode128
| Barcode format: Code128, including EAN128 code.
| e_FormatCode39 = _fsdk.Barcode_e_FormatCode39
| Barcode format: standard 39 code.
| e_FormatEAN13 = _fsdk.Barcode_e_FormatEAN13
| Barcode format: EAN-13 code.
| e_FormatEAN8 = _fsdk.Barcode_e_FormatEAN8
| Barcode format: EAN-8 code.
| e_FormatITF = _fsdk.Barcode_e_FormatITF
| Barcode format: ITF code.
| e_FormatPDF417 = _fsdk.Barcode_e_FormatPDF417
| Barcode format: PDF-417 code.
| e_FormatQRCode = _fsdk.Barcode_e_FormatQRCode
| Barcode format: Quick Response Code.
| e_FormatUPCA = _fsdk.Barcode_e_FormatUPCA
| Barcode format: UPC-A code.
| e_QRCorrectionLevelHigh = _fsdk.Barcode_e_QRCorrectionLevelHigh
| The capability of recovery from 30% amounts of damage.
| e_QRCorrectionLevelLow = _fsdk.Barcode_e_QRCorrectionLevelLow
| The capability of recovery from 7% amounts of damage.
| e_QRCorrectionLevelMedium = _fsdk.Barcode_e_QRCorrectionLevelMedium
| The capability of recovery from 15% amounts of damage.
| e_QRCorrectionLevelQuater = _fsdk.Barcode_e_QRCorrectionLevelQuater
| The capability of recovery from 25% amounts of damage.

## Detailed Description

This class can be used to generate barcode bitmap.

## Constructor & Destructor Documentation

## ◆ Barcode()

def FoxitPDFSDKPython2.Barcode.Barcode | ( |  | other | ) |

Constructor, with another barcode object.

Parameters

  [in] | other | Another barcode object.

## Member Function Documentation

## ◆ GenerateBitmap()

def FoxitPDFSDKPython2.Barcode.GenerateBitmap | ( |  | info,
|  |  | format,
|  |  | unit_width,
|  |  | height,
|  |  | level
| ) |  |

Generate a barcode bitmap with a given information string and specified barcode format.

Parameters

  [in] | info | Information string to be encoded to barcode bitmap. It should not be an empty string.
  [in] | format | Barcode format which is used to encode information string. Please refer to values starting from FoxitPDFSDKPython2.Barcode.e_FormatCode39 and this should be one of these values.
  [in] | unit_width | Unit width for barcode, in pixels. Valid values: from 1 to 5. If input value is below 1, 1 will be used by default; if input value is above 5, 5 will be used by default. The width of the bitmap will be equal to the product of this parameter and the width of the info encoding. Specially, for PDF-417 and QR Code, height will be ignored, and the height of bitmap will be equal to the product of this parameter and the height of the info encoding.
  [in] | height | The height for bitmap, in pixels. Valid values: equal to or above 20. If input value is below 20, 20 will be used by default. Specially, for PDF-417 and QR Code, height will be ignored, and the height of bitmap will be equal to the product of unit_width and the height of the info encoding.
  [in] | level | (Required only for QR Code) Error correction level. Please refer to values starting from FoxitPDFSDKPython2.Barcode.e_QRCorrectionLevelLow and this should be one of these values.

Returns
  A barcode bitmap.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.Barcode.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.